
Redmine - Feature #12598

Add tooltip on Workflow matrix for helping in big ones

2012-12-14 14:15 - Israel  Romero 

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version: 3.4.0   

Resolution: Fixed   

Description

We work with Redmine using big workflows (many status appear in workflow matrix) and it's very difficult to follow all changes.

Maybe you can add a tooltip for each check in matrix containing status references (left one and upper one).

Something like this

----------------------------------------------------

( left status on my row --- upper status on my column)

----------------------------------------------------

for each check button.

Positioning over it we'll can read easily wich transition is being selected.

Thanks ;)

Related issues:

Related to Redmine - Feature #24780: Add tooltip on Permissions report matrix Closed

Related to Redmine - Feature #24790:  Add tooltip on trackers summary matrix Closed

Associated revisions

Revision 16163 - 2017-01-08 23:38 - Jean-Philippe Lang

Adds a tooltip to cells on workflow page (#12598).

Patch by Go MAEDA.

History

#1 - 2012-12-15 11:37 - Ivan Cenov

You may want to try redmine_information plugin : http://www.r-labs.org/projects/rp-admin-reports/wiki/Redmine_Information_Plugin

It created pictures of transition graphs that it derives from workflow matrices.

P.S. Oops, I did not read well.

#2 - 2012-12-18 11:00 - Israel  Romero 

It's a help to fill in the matrix, not for seeing the workflow. When scroll it's not enough (up & left headers are out of the window), it's difficult to select

the correct state.

Thanks

#3 - 2016-12-25 03:19 - Go MAEDA

- File 12598-add-title-attr.diff added

- File tooltip-fields-permissions.png added

- File tooltip-status-transitions.png added

- Target version set to Candidate for next major release

I have created a patch to add tooltip to table cells on workflow page.
#4 - 2016-12-29 06:58 - Go MAEDA

- Target version changed from Candidate for next major release to 3.4.0

#5 - 2017-01-08 23:38 - Jean-Philippe Lang

- Subject changed from Add more info on Workflow matrix for helping in big ones to Add tooltip on Workflow matrix for helping in big ones

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Patch committed, thanks!

#6 - 2017-01-09 03:27 - Go MAEDA

- Related to Feature #24780: Add tooltip on Permissions report matrix added

#7 - 2017-01-10 02:11 - Go MAEDA

- Related to Feature #24790:  Add tooltip on trackers summary matrix added

Files

12598-add-title-attr.diff 2.62 KB 2016-12-25 Go MAEDA

tooltip-fields-permissions.png 34 KB 2016-12-25 Go MAEDA

tooltip-status-transitions.png 38.1 KB 2016-12-25 Go MAEDA
